Name:		dmlite-plugins-profiler
Version:	0.4.0
Release:	2%{?dist}
Summary:	Profiler plugin for dmlite
Group:		Applications/Internet
License:	ASL 2.0
URL:		https://svnweb.cern.ch/trac/lcgdm
# The source of this package was pulled from upstream's vcs. Use the
# following commands to generate the tarball:
# svn export http://svn.cern.ch/guest/lcgdm/dmlite-plugins-profiler/tags/dmlite-plugins-profiler_0_4_0 dmlite-plugins-profiler-0.4.0
# tar -czvf dmlite-plugins-profiler-0.4.0.tar.gz dmlite-plugins-profiler-0.4.0
Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	dmlite-devel >= 0.4.0

%description
This package provides the profiler plug-in for dmlite. This plug-in is a simple
wrapper around a real plug-in implementation, and is used to do multiple
measurements regarding the performance of each call to dmlite.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake . -DCMAKE_INSTALL_PREFIX=/

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files 
%{_libdir}/dmlite/plugin_profiler.so
%doc LICENSE README RELEASE-NOTES

%changelog
* Wed Oct 24 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.4.0-2
- Removed defattr from files section

* Tue Sep 25 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.4.0-1
- Update for new upstream release

* Wed Apr 11 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.3.0-1
- Initial build after dmlite package split
